ifeq ($(strip $(ENABLE_MPI)),true)
CC   = mpicc
DEFINES  = -D_MPI
else
CC = clang
endif

LD   = $(CC)

ifeq ($(strip $(ENABLE_OPENMP)),true)
OPENMP   = -fopenmp
#OPENMP   = -Xpreprocessor -fopenmp #required on Macos with homebrew libomp
LIBS     = # -lomp
endif

VERSION  = --version
CFLAGS   = -O3 -ffast-math -std=c99 $(OPENMP)
#CFLAGS   = -Ofast -fnt-store=aggressive  -std=c99 $(OPENMP) #AMD CLANG
LFLAGS   = $(OPENMP)
DEFINES  += -D_GNU_SOURCE
INCLUDES = -I/Users/jan/.local/include
